﻿@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Calender";
}

<h2>Calender</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.StartDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.VacationState)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.VacationType)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Person.Email)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.StartDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EndDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VacationState)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VacationType)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Person.Email)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
